<?php
require_once 'PHPOF2/DB.php';
require_once 'PHPOF2/DBTable.php';
require_once 'PHPOF2/DBRow.php';

if (!isset($argv[1])) {
	die("Usage: $argv[0] [dsn]\n");
}
// The DSN to the main application database
$dsn = $argv[1];

$db = PHPOF2_DB::factory($dsn);

$table = new PHPOF2_DBTable($db, 'widgets');
$row = $table->createRowObject();

$magic = 'Test '.date('Y-m-d H:i:s') . ' '.uniqid('');
$row->name = $magic;
$row->insert();

print "inserted row ID=$row->id\n";

$row->id++;

print "Updating to ID = $row->id\n";

$row->update();

$id = $row->id;

$row->clear();

print "Retrieving row $id\n";
$row->get($id);

if (!$row->retrieved_ok) {
	print "Failed to retrieve row id=$id\n";
	exit(0);
}

if ($row->name == $magic) {
	print "Success\n";
	$row->delete();
}
